//
//  NewProjectViewController.h
//  DG
//
//  Created by Mark Brindle on 11/07/2011.
//  Copyright 2011 ARKEMM Software Limited. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface NewProjectViewController : UIViewController {
  UITextField *nameField;
  UISwitch *updateSwitch;
  UISwitch *synchroniseSwitch;
  UITextField *budgetField;
  UITextField *rateField;
  UITextView *commentField;
}

@property (nonatomic, strong) IBOutlet UITextField *nameField;
@property (nonatomic, strong) IBOutlet UISwitch *updateSwitch;
@property (nonatomic, strong) IBOutlet UISwitch *synchroniseSwitch;
@property (nonatomic, strong) IBOutlet UITextField *budgetField;
@property (nonatomic, strong) IBOutlet UITextField *rateField;
@property (nonatomic, strong) IBOutlet UITextView *commentField;

// Manually added properties
@property (nonatomic, copy) NSString *name;
@property (nonatomic, assign) BOOL updatable;
@property (nonatomic, assign) BOOL synchronise;
@property (nonatomic, copy) NSString *budget;
@property (nonatomic, copy) NSString *rate;
@property (nonatomic, copy) NSString *comments;

- (IBAction)textFieldDoneEditing:(id)sender;

// Added method declarations

- (IBAction)create:(id)sender;
- (IBAction)cancel:(id)sender;

@end
